description

# ElementUpgrader class Null safety

A utility for changing the Dart wrapper type for elements.

## Constructors

ElementUpgrader()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
upgrade(Element element) → Element
  Upgrade the specified element to be of the Dart type this was created for. [...]

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited